Loading...
Searching...
No Matches
CodeGen_Posix.h File Reference

Defines a base-class for code-generators on posixy cpu platforms. More...

`#include "CodeGen_LLVM.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::CodeGen_Posix
| A code generator that emits posix code from a given Halide stmt. More...
struct | Halide::Internal::CodeGen_Posix::Allocation
| A struct describing heap or stack allocations. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Defines a base-class for code-generators on posixy cpu platforms.

Definition in file CodeGen_Posix.h.